from sqlalchemy import (Column, Integer, String, DateTime, func)
from sqlalchemy.orm import relationship
from app import db
from sqlalchemy.ext.declarative import declarative_base

Base: declarative_base = db.Model
class Customer(Base):
    __tablename__ = "customers"
    customer_id = Column(Integer, primary_key=True)
    customer_name = Column(String, nullable=False)
    email = Column(String, nullable=False)
    address = Column(String, nullable=False)
    logo = Column(String, nullable=True)
    logo_content_type = Column(String, nullable=True)
    description = Column(String, nullable=True)
    status = Column(String, nullable=False)
    created_at = Column(DateTime(timezone=True), server_default=func.now())
    updated_at = Column(DateTime(timezone=True), server_default=func.now(), onupdate=func.now())

    sites = relationship("Site", cascade="all, delete-orphan", backref="customer")